Skip to main content
DELETE
/
customers
/
connector
/
{customer_id}
Delete third-party connector
curl --request DELETE \
  --url https://api.zenskar.com/customers/connector/{customer_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "message": "<string>",
  "customer_id": "<string>",
  "reference_id": "<string>",
  "resource_mapping_id": "<string>",
  "connector_id": "<string>",
  "payment_methods": []
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string
required

Query Parameters

connector
string
required
Example:

"connector=stripe"

Response

Successful Response

message
string
required
customer_id
string | null
reference_id
string | null
resource_mapping_id
string | null
connector_id
string | null
payment_methods
any[] | null

Deleted payment methods of the customer